Package org.eclipse.emf.compare.rcp

## Class EMFCompareLogger

- java.lang.Object
- - org.eclipse.emf.compare.rcp.EMFCompareLogger

    public class EMFCompareLogger
    extends Object

Mimics the Log4J 1 logger interface but sends all logging to the Eclipse log. This allows us to remove Log4J 1 with limited impacts.

### Nested Class Summary

Nested Classes
`static class` `EMFCompareLogger.Level`

### Constructor Summary

Constructors
`EMFCompareLogger​(Class<?> caller)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `debug​(String message)`
`void` `info​(String message)`
`boolean` `isDebugEnabled()`
`boolean` `isInfoEnabled()`
`static void` `setLevel​(String newLevel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EMFCompareLogger

    public EMFCompareLogger​(Class<?> caller)

### Method Detail

#### isInfoEnabled

    public boolean isInfoEnabled()

#### isDebugEnabled

    public boolean isDebugEnabled()

#### setLevel

    public static void setLevel​(String newLevel)

#### info

    public void info​(String message)

#### debug

    public void debug​(String message)